dotConnect for Oracle 8.1 is released!

dotConnect for Oracle 8.1 is released!

Postby Devart » Thu 31 Oct 2013 14:27

Dear users,

Devart is glad to announce the release of the new version of dotConnect for Oracle, enhanced database connectivity solution, built over the ADO.NET architecture, that supports Entity Framework and LinqConnect ORM solutions.

New dotConnect for Oracle offers you support for Visual Studio 2013 and Entity Framework v6.

Now, with dotConnect for Oracle, you can use such new Entity Framework features as improved warm up time (view generation), Code-Based Configuration, Dependency Resolution, creating a DbContext with an already opened connection, etc. dotConnect for Oracle allows using new Entity Framework v6 Code First features: Custom Code First Conventions, Code First Mapping to Insert/Update/Delete Stored Procedures and others.

Here is the complete list of dotConnect for Oracle 8.1.26 features:

  • Visual Studio 2013 is supported
  • The behaviour is changed: installation with the /VERYSILENT install parameter will uninstall the other version of the provider without any dialog box if it is installed
  • The behaviour is changed: there is no more max count for parameters for stored procedure in the Direct mode
  • The bug with Advanced Queuing on x64 platform when 'AsyncNotification=True' is fixed
  • The bug with parsing data for INTERVAL YEAR TO MONTH is fixed
  • The bug with using ExtendedMembership provider in a multithreaded application is fixed
  • The bug with data updating in OracleDataTable, when a query returns multiple columns with the same name, and UpdatingTable is specified, is fixed
  • The bug with setting OracleDataAdapter.UpdateBatchSize=0 during creation of an OracleDataAdapter instance by some constructors is fixed
  • The bug with persisting workflow instance in the database is fixed
Entity Developer
  • Entity Framework 6 is supported
  • The bug with IntelliSense when working with T4 Editor in Visual Studio 2012 is fixed
Entity Framework support
  • The 6.0.0 and 6.0.1 versions of Entity Framework are supported
  • The behaviour is changed: Entity Data Model Wizard shows a more detailed error message in case of connecting to unsupported database or using incorrect provider manifest tokens

Devart development team
http://www.devart.com/dotconnect/oracle/
Devart
Devart Team
 
Posts: 3058
Joined: Tue 26 Oct 2004 13:51

Return to dotConnect for Oracle